CREATE TABLE `oder_info`
(
    `id`          bigint       NOT NULL COMMENT '订单id',
    `oder_id`     varchar(50)  NOT NULL COMMENT '订单id',
    `goods_id`    varchar(50)  NOT NULL COMMENT '下单产品ID',
    `name`        varchar(30)  NOT NULL COMMENT '姓名',
    `id_card`     varchar(18)  NOT NULL COMMENT '身份证号',
    `phone`       varchar(15)  NOT NULL COMMENT '手机号码',
    `province`    varchar(20)  NOT NULL COMMENT '省',
    `city`        varchar(20)  NOT NULL COMMENT '城市',
    `area`        varchar(20)  NOT NULL COMMENT '区/县/镇',
    `address`     varchar(100) NOT NULL COMMENT '详细地址',
    `status`      char(1)      NOT NULL DEFAULT '0' COMMENT '发货处理状态:0=未处理，1=已下单 2=已发货 3已完成 4失败',
    `api_id`      varchar(255)          DEFAULT NULL COMMENT '接口来源',
    `api_oder_id` varchar(255)          DEFAULT NULL COMMENT '第三方订单',
    `third_phone` varchar(255)          DEFAULT NULL COMMENT '用户办理的号码',
    `card_status` char(1)               DEFAULT '0' COMMENT '号码状态',
    `create_time` datetime     NOT NULL default current_timestamp() comment '创建时间',
    `update_time` datetime     NOT NULL default current_timestamp() on update current_timestamp() comment '更新时间',
    `remarks`     varchar(255)          DEFAULT NULL COMMENT '备注',
    primary key (id)
) COMMENT '订单列表';